Run a data observability monitor

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.ap2.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.datadoghq.eu/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.ddog-gov.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.us2.ddog-gov.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.uk1.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.us3.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/runhttps://api.us5.datadoghq.com/api/v2/data-observability/monitors/{monitor_id}/run

개요

데이터 관측 가능성 모니터에 대한 실행을 수동으로 트리거합니다. 예약되지 않은(수동으로 실행 가능한) 모니터만 이런 방식으로 트리거할 수 있습니다.

OAuth apps require the data_observability_monitors_write, monitors_write authorization scope to access this endpoint.

인수

경로 파라미터

이름

유형

설명

monitor_id [required]

integer

The ID of the data observability monitor to run.

응답

OK

The response returned when a data observability monitor run is triggered.

Expand All

항목

유형

설명

data [required]

object

The data object returned when a data observability monitor run is triggered.

id [required]

string

The unique identifier of the monitor run.

type [required]

enum

The JSON:API resource type for a data observability monitor run. Allowed enum values: monitor_run

default: monitor_run

{
  "data": {
    "id": "abc123def456",
    "type": "monitor_run"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 예시

                  # Path parameters
export monitor_id="12345"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/data-observability/monitors/${monitor_id}/run" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"